Skip to main content
PUT
Update budget

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

write

Grants write access

Path Parameters

budget_token
string
required

Body

application/json

Update a Budget.

name
string

The name of the Budget.

cost_report_token
string

The CostReport token. Ignored for hierarchical Budgets.

type
enum<string>

The type of Budget. One of: cost, usage.

Available options:
cost,
usage
unit
string | null

The usage unit for usage Budgets. Send null to clear.

child_budget_tokens
string[]

The tokens of any child Budgets when creating a hierarchical Budget. Child budgets must share the same current period dates. Omitted on update to leave the current child list unchanged.

period_cadence
object

The interval cadence for budget periods. Changing cadence after creation is rejected.

periods
object[]

The periods for the Budget. The start_at and end_at must be iso8601 formatted e.g. YYYY-MM-DD. Ignored for hierarchical Budgets.

Response

Budget model

token
string
required
name
string | null
required

The name of the Budget.

Example:

"Acme123 Budget"

type
enum<string>
required

The type of Budget. One of: cost, usage.

Available options:
cost,
usage
Example:

"cost"

workspace_token
string
required

The token for the Workspace the Budget is a part of.

created_at
string
required

The date and time, in UTC, the Budget was created. ISO 8601 Formatted.

Example:

"2024-03-19T00:00:00Z"

budget_alert_tokens
string[]
required

The tokens of the BudgetAlerts associated with the Budget.

child_budget_tokens
string[]
required

The tokens of the child Budgets associated with the hierarchical Budget.

period_cadence
object
required
periods
object[]
required

The budget periods associated with the Budget.

unit
string | null

The usage unit for usage Budgets.

user_token
string | null

The token for the User who created this Budget.

created_by_token
string | null

The token of the Creator of the Budget.

cost_report_token
string | null

The token of the Report associated with the Budget.

performance
object[]

The historical performance of the Budget.